Subject: Re: [PATCH v4] Thunderbird: fix appp.sh format problems

From: Marco Stornelli <[email-masked]>
Date: Sat, 01 Sep 2012 21:18:35 +0200

Il 01/09/2012 15:59, Johannes Sixt ha scritto:
> Am 01.09.2012 09:43, schrieb Marco Stornelli:
>> Il 31/08/2012 23:35, Johannes Sixt ha scritto:
>>> Am 31.08.2012 16:09, schrieb Marco Stornelli:
>>>> +CCS=`perl -e 'local $/=undef; open FILE, $ENV{'PATCHTMP'};
>>>> $text=<FILE>;
>>>> +close FILE; $addr = $1 if $text =~ /Cc: (.*?(,\n .*?)*)\n/s; $addr
>>>> =~ s/\n//g;
>>>> +print $addr;'`
>>>
>>> The quoting is broken in this line (sq within sq does not work).
>>
>> I don't understand what you mean, I'm using this script and it works
>> perfectly.
>
> Look how you write:
>
>    perl -e '... $ENV{'PATCHTMP'} ...'
>
> That is, perl actually sees this script:
>
>    ... $ENV{PATCHTMP} ...
>
> (no quotes around PATCHTMP). That my be perfectly valid perl, but is not
> what you intended.
>
> -- Hannes
>
>

I don't understand what you mean when you say "is not what you intended" 
because perl and this script does *exactly* what I want and (with the 
test I've done) it works. Have you got a test case where it doesn't work 
at all? However, since I'm not a perl guru, if someone says that double 
quotes are needed, ok the result is however the same.

Git guys, let me know if a version 6 of the patch is needed, no problem 
to submit another version.

Regards,

Marco